# Rebuilding fixtures
Note: This part is entirely optionnal and reproducibility of those binaries isn't guaranteed.

Dependencies:
- C Sharp Compiler, default one is `msc` from [Mono](https://mono-project.com)
- `luac5.3` from Lua 5.3
- `luac5.4` from Lua 5.4
- wasm assembler, default one is `wat2wasm` from [wabt](https://github.com/WebAssembly/wabt)
- Java Compiler, defaults to `javac`. Any version should work, including early bootstrap with jamvm 1.5+
- Java Archive tool aka `jar(1)`, defaults to `jar`. Note that `fastjar` doesn't properly generates the file but OpenJDK 8+ does up to at least OpenJDK 20.
- [NQP](https://github.com/Raku/nqp) aka Not Quite Perl
- [Parrot](http://www.parrot.org/)
- Perl5
- Erlang
- Device Tree Compiler, default one is [dtc](https://git.kernel.org/cgit/utils/dtc/dtc.git/)
- [NekoVM Compiler](https://nekovm.org/)
- OCaml bytecode(ocamlc) and native(ocamlopt) compilers
- Racket
- Squirrel

Rebuilding:
```
# in test/fixtures directory
make cleanall
make all
```

## manual fixtures
The following fixtures are either manually built or copied from another project and aren't removed with `make clean`:
- Files in `./pyc/` are made via running `../python_compile.py`
- `monodx.dll` is `lib/x86/monodx.dll` from wine-mono 7.0.0
- `qemu_vga.ndrv` is `pc-bios/qemu_vga.ndrv` from QEMU 7.0.0

<!--
SPDX-FileCopyrightText: 2019-2022 deblob Authors <https://hacktivis.me/projects/deblob>
SPDX-License-Identifier: BSD-3-Clause
-->
